IXL(4)

NAME
ixl - Intel Ethernet 700 Series driver

SYNOPSIS
ixl* at pci? dev ? function ?

DESCRIPTION
The ixl driver supports Intel Ethernet 700 series controllers based on the Intel X710, XXV710, XL710, and X722 Ethernet chipsets.

SEE ALSO
arp(4), ifmedia(4), netintro(4), pci(4), ifconfig(8)

HISTORY
The ixl driver comes from OpenBSD. It first appeared in NetBSD 10.0.

AUTHORS
-nosplit The ixl driver was written by David Gwynne <dlg@openbsd.org> and Jonathan Matthew <jmatthew@openbsd.org>. It was imported from OpenBSD into NetBSD by Shoichi Yamaguchi <yamaguchi@NetBSD.org>.

BUGS
The VLAN hardware filter doesn't work while the interface is in promiscuous mode. If registering a VLAN tag fails due to lack of resources, the interface doesn't send and receive packets containing the tag.